new Vue({
    el: '#childApp',
    data: function () {
        return {
            ss: 'sas',
            dateTime: '',
            start_date: '',
            init_simple: false,
            isscrollTop: false,
            poprule: '',
            poptables: '',
            popcurrentPage: 1,
            scrollTop: 0,
            country_chow: false,
            BASEURL: window_url,
            end_date: '',
            sortObj: {
                name: '',
                sort: 'avg_score_bus',
            },
            poploading: false,
            dialogTableVisible: false,
            takeList: [],
            dateRange: [new Date(), new Date()],
            takevalue: '',
            sel_is_show: true,
            loading: true,
            poptableData: [],
            tableData: []
        }
    },
    mounted() {
        window.addEventListener('scroll', this.scrollToTop)
    },
    destroyed() {
        window.removeEventListener('scroll', this.scrollToTop)
    },
    methods: {
        changeRange(dateRange) {
            this.start_date = dateRange[0];
            this.end_date = dateRange[1];
            this.getRule(this.start_date, this.end_date);  // 获取统计数据
        },

        getRule(start_date, end_date) {
            let that = this;

            console.log(start_date, end_date);
            let arr = [];
            this.$loading({text: '数据加载中...'});
            let sort = this.sortObj.sort;
            RquestsPost('api/v1/tasks/city_score/', {
                end_date,
                start_date
            }).then(data => {
                console.log(data.data);
            if (data.code != 0) {
                that.$message(data.msg);
                if (data.msg) {
                    that.$message(data.msg);
                } else {
                    that.$message('服务器错误')
                }
            }
            if (!data.data) {

                this.$loading().close();
                return false;
            }
            //for(let key in data.data){
            //	arr.unshift([data.data[key],key])
            //}
            this.tableData = data.data;
            this.$loading().close();
        })},
        dateFormat(date) {
            return date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate();
        },


        // 为了计算距离顶部的高度，当高度大于60显示回顶部图标，小于60则隐藏
        scrollToTop() {
            const that = this
            let scrollTop = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop
            that.scrollTop = scrollTop
            if (that.scrollTop > 60) {
                that.isscrollTop = true
            } else {
                that.isscrollTop = false
            }
        },
        init() {
            this.dateRange = [new Date(new Date() - 24 * 60 * 60 * 1000), new Date()];
            this.start_date = this.dateFormat(new Date(new Date() - 24 * 60 * 60 * 1000));
            this.end_date = this.dateFormat(new Date());
            this.getRule(this.start_date, this.end_date);  // 获取统计数据

        }
    },
    created() {
        this.init()
    },

})
